Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetJoinBridgeBiTuple<A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple<A,​B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetJoinBridgeBiTuple<A,​B>

- All Implemented Interfaces:
    `BavetJoinBridgeTuple`, `BavetTuple`

      public final class BavetJoinBridgeBiTuple<A,​B>
      extends BavetAbstractBiTuple<A,​B>
      implements BavetJoinBridgeTuple

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Set<BavetJoinTuple>` | `childTupleSet` |
    `protected BavetAbstractBiTuple<A,​B>` | `parentTuple` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetJoinBridgeBiTuple​(BavetJoinBridgeBiNode<A,​B> node, BavetAbstractBiTuple<A,​B> parentTuple)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<BavetJoinTuple>` | `getChildTupleSet()` |
    `A` | `getFactA()` |
    `B` | `getFactB()` |
    `Object[]` | `getIndexProperties()` |
    `BavetJoinBridgeBiNode<A,​B>` | `getNode()` |
    `void` | `refresh()` |
    `void` | `setIndexProperties​(Object[] indexProperties)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFacts, getFactsString`

- - ### Field Detail

    - #### parentTuple

          protected final BavetAbstractBiTuple<A,​B> parentTuple

    - #### childTupleSet

          protected Set<BavetJoinTuple> childTupleSet

  - ### Constructor Detail

    - #### BavetJoinBridgeBiTuple

          public BavetJoinBridgeBiTuple​(BavetJoinBridgeBiNode<A,​B> node,
                                        BavetAbstractBiTuple<A,​B> parentTuple)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetJoinBridgeBiNode<A,​B> getNode()

      Specified by:
        `getNode` in interface `BavetTuple`

    - #### getChildTupleSet

          public Set<BavetJoinTuple> getChildTupleSet()

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractBiTuple<A,​B>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractBiTuple<A,​B>`

    - #### getIndexProperties

          public Object[] getIndexProperties()

      Specified by:
        `getIndexProperties` in interface `BavetJoinBridgeTuple`

    - #### setIndexProperties

          public void setIndexProperties​(Object[] indexProperties)

      Specified by:
        `setIndexProperties` in interface `BavetJoinBridgeTuple`